package com.hungraim.ltc.system.service;

import com.hungraim.ltc.pojo.entity.system.SystemInterface;

import java.util.List;
import java.util.Map;

public interface ISystemInterfaceService {

    /**
     * 将mysql中的接口资源关系缓存到redis中
     */
    void refreshResourceInterfaceCache();

    /**
     * 查询所有资源对应的接口
     * @return list
     */
    List<String> listResourceInterface(Long resourceId);
}
