package com.hungraim.ltc.system.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hungraim.ltc.pojo.entity.system.SystemInterface;
import org.apache.ibatis.annotations.*;

import java.util.List;

/**
 * 查询所有资源对应的接口
 * @return list
 */
@Mapper
public interface SystemInterfaceMapper extends BaseMapper<SystemInterface> {

    @Select("SELECT a.INTERFACE_URL FROM " +
            "LTC_INTERFACE a where a.INTERFACE_ID= #{interfaceId}")
    List<String> listInterface(long interfaceId);

    /**
     * 根据资源id查找接口id
     *
     * @return 角色id
     */
    @Select("SELECT INTERFACE_ID FROM LTC_RESOURCE_INTERFACE")
    List<Long> listRI();


}
